petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatColoringApply

Apply the coloring to the matrix, producing index sets corresponding to a number of independent sets in the induced graph.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringApply(MatColoring mc,ISColoring *coloring)

Collective on MatColoring

### Input Parameters

mc -the MatColoring context

### Output Parameter

coloring -the ISColoring instance containing the coloring

### Keywords

Coloring, Apply

### See Also

MatColoring, MatColoringCreate()

### Level

beginner

### Location

src/mat/color/interface/matcoloring.c

### Examples

src/mat/examples/tutorials/ex16.c.html

### Implementations

MatColoringApply_Greedy in src/mat/color/impls/greedy/greedy.c
MatColoringApply_JP in src/mat/color/impls/jp/jp.c
MatColoringApply_SL in src/mat/color/impls/minpack/color.c
MatColoringApply_LF in src/mat/color/impls/minpack/color.c
MatColoringApply_ID in src/mat/color/impls/minpack/color.c
MatColoringApply_Natural in src/mat/color/impls/natural/natural.c
MatColoringApply_Power in src/mat/color/impls/power/power.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages